Subject: Re: Kconfig warnings on latest GIT

From: Russell King <[email-masked]>
Date: Fri, 11 May 2007 08:43:38 +0100

On Thu, May 10, 2007 at 08:47:05PM -0500, Kumar Gala wrote:
> On Fri, 11 May 2007, Simon Horman wrote:
> 
> > On Thu, May 10, 2007 at 11:56:48AM -0500, Timur Tabi wrote:
> > > Simon Horman wrote:
> > >
> > > >>So my question is: in which Kconfig do I define "UCC_FAST_TEMP" and
> > > >>"UCC_SLOW_TEMP"?  At first I thought, just put it in drivers/Kconfig, but
> > > >>that Kconfig does nothing but including other Kconfigs.  I believe that if I
> > > >>submit a patch that adds "UCC_FAST_TEMP" and "UCC_SLOW_TEMP" to
> > > >>drivers/Kconfig, it will be rejected.  Either that, or I'll spend six weeks
> > > >>trying to persuade everyone that it's a good idea.
> > > >>
> > > >>Does anyone have any suggestions on how I can fix this?
> > > >That does seem like a reasonable suggestion, and one that
> > > >would probably work well with the other similar problems
> > > >that have been introduced sice 2.6.21.
> > >
> > > Looks like the fix is simpler than I thought.  Instead of having
> > >
> > > UCC_GETH
> > > 	select UCC_FAST
> > >
> > > I need to do
> > >
> > > UCC_FAST
> > > 	default y if UCC_GETH
> >
> > I pondered something like that, but I couldn't get it quite right :(
> >
> > > I'll have a patch that fixes this out later today.
> > >
> > > I chose the first method because I wanted each individual UCC device
> > > driver to select UCC_FAST or UCC_SLOW as appropriate, so that I
> > > wouldn't have to update arch/powerpc/sysdev/qe_lib/Kconfig every time
> > > we add a new UCC driver.  Oh well.
> >
> > --
> > Horms
> >   H: http://www.vergenet.net/~horms/
> >   W: http://www.valinux.co.jp/en/
> >
> 
> Try this patch:

You might also want to fix the other stupidity with this.  See my message
on this very subject ("select is evil: another reason" from May 9th on lkml.)

-- 
Russell King
 Linux kernel    2.6 ARM Linux   - http://www.arm.linux.org.uk/
 maintainer of: